package intrinsic.mx.controls.listClasses;

public class ListBase extends intrinsic.mx.core.ScrollControlBase implements intrinsic.mx.controls.listClasses.IListItemRenderer, intrinsic.mx.managers.IFocusManagerComponent, intrinsic.mx.controls.listClasses.IDropInListItemRenderer, intrinsic.mx.effects.IEffectTargetHost, intrinsic.mx.core.IDataRenderer {

	/** Accessors */
	public boolean selectable;
	public boolean allowMultipleSelection;
	public double verticalScrollPosition;
	public double horizontalScrollPosition;
	public int columnCount;
	public int rowCount;
	public boolean dropEnabled;
	public boolean dragEnabled;
	public intrinsic.Function iconFunction;
	public String iconField;
	public double columnWidth;
	public intrinsic.Function dataTipFunction;
	public intrinsic.mx.core.IFactory nullItemRenderer;
	public boolean showDataTips;
	public intrinsic.Function labelFunction;
	public Object data;
	public double rowHeight;
	public intrinsic.Array selectedItems;
	public int selectedIndex;
	public Object selectedItem;
	public boolean dragMoveEnabled;
	public boolean wordWrap;
	public String dataTipField;
	public boolean variableRowHeight;
	public intrinsic.Array selectedIndices;
	public double baselinePosition;
	public intrinsic.mx.controls.listClasses.BaseListData listData;
	public String labelField;
	public int offscreenExtraRowsOrColumns;
	public Object dataProvider;
	public intrinsic.mx.core.IFactory itemRenderer;
	public Object value;

	/** Variables */
	public boolean allowDragSelection;
	public boolean menuSelectionMode;
	public boolean liveScrolling;
	public boolean showScrollTips;
	public intrinsic.Array transitions;
	public intrinsic.Array states;

	/** Constants */
	public static final int DRAG_THRESHOLD = 0;
	public static final String VERSION = "version";
	
	protected final intrinsic.Array listItems = null;  

	/** Class Accessors */

	/** Class variables */
	public static intrinsic.Function createAccessibilityImplementation;

/** Contructors */
public ListBase() {
}


/** Static Methods */

/** Methods */
public native intrinsic.Class itemToIcon(Object arg0);
public native intrinsic.mx.controls.listClasses.IListItemRenderer itemToItemRenderer(Object arg0);
public native boolean isItemSelected(Object arg0);
public native String itemToLabel(Object arg0);
public native boolean itemRendererContains(intrinsic.mx.controls.listClasses.IListItemRenderer arg0, intrinsic.flash.display.DisplayObject arg1);
public native void styleChanged(String arg0);
public native int itemRendererToIndex(intrinsic.mx.controls.listClasses.IListItemRenderer arg0);
public native void validateDisplayList();
public native int indicesToIndex(int arg0, int arg1);
public native void removeDataEffectItem(Object arg0);
public native void unconstrainRenderer(Object arg0);
public native Object getRendererSemanticValue(Object arg0, String arg1);
public native double measureWidthOfItems();
public native double measureWidthOfItems(int arg0);
public native double measureWidthOfItems(int arg0, int arg1);
public native void addDataEffectItem(Object arg0);
public native intrinsic.mx.controls.listClasses.IListItemRenderer createItemRenderer(Object arg0);
public native boolean findString(String arg0);
public native void showDropFeedback(intrinsic.mx.events.DragEvent arg0);
public native double measureHeightOfItems();
public native double measureHeightOfItems(int arg0);
public native double measureHeightOfItems(int arg0, int arg1);
public native void hideDropFeedback(intrinsic.mx.events.DragEvent arg0);
public native void invalidateList();
public native intrinsic.mx.controls.listClasses.IListItemRenderer indexToItemRenderer(int arg0);
public native boolean scrollToIndex(int arg0);
public native boolean isItemSelectable(Object arg0);
public native boolean isItemHighlighted(Object arg0);
public native String itemToDataTip(Object arg0);
public native boolean isItemVisible(Object arg0);
public native int calculateDropIndex();
public native int calculateDropIndex(intrinsic.mx.events.DragEvent arg0);

}
